PanEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class PanEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.PanEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PanEvent

extends java.util.EventObject

An event to request the map to pan. Event designates the direction and magnitude (relative to map dimensions) to pan the map.

See Also:
  Serialized Form

Field Summary
`protected float` | `Az`
`protected float` | `c`
`static int` | `EAST`
`static int` | `NORTH` The possible pan directions
`static int` | `NORTH_EAST`
`static int` | `NORTH_WEST`
`static int` | `PAN_FIRST` Marks the first integer id for the range of pan event directions.
`static int` | `PAN_LAST` Marks the last integer id for the range of pan event directions.
`static int` | `SOUTH`
`static int` | `SOUTH_EAST`
`static int` | `SOUTH_WEST`
`static int` | `WEST`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PanEvent(java.lang.Object source, float Az)` Create a PanEvent.
`PanEvent(java.lang.Object source, float Az, float c)` Create a PanEvent.
`PanEvent(java.lang.Object source, int direction)` Deprecated. use new panning semantics
`PanEvent(java.lang.Object source, int direction, float amount)` Deprecated. use new panning semantics

Method Summary
`float` | `getAmount()` Deprecated. use getArcDistance()
`float` | `getArcDistance()` Get arc distance of pan.
`float` | `getAzimuth()` Get azimuth of pan.
`int` | `getDirection()` Deprecated. use getAzimuth()
`java.lang.String` | `toString()` Return stringified object.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PAN_FIRST

    public static final int PAN_FIRST

  Marks the first integer id for the range of pan event directions.

  See Also:
    Constant Field Values

### PAN_LAST

    public static final int PAN_LAST

  Marks the last integer id for the range of pan event directions.

  See Also:
    Constant Field Values

### NORTH

    public static final int NORTH

  The possible pan directions

  See Also:
    Constant Field Values

### NORTH_EAST

    public static final int NORTH_EAST

See Also:
  Constant Field Values

### EAST

    public static final int EAST

See Also:
  Constant Field Values

### SOUTH_EAST

    public static final int SOUTH_EAST

See Also:
  Constant Field Values

### SOUTH

    public static final int SOUTH

See Also:
  Constant Field Values

### SOUTH_WEST

    public static final int SOUTH_WEST

See Also:
  Constant Field Values

### WEST

    public static final int WEST

See Also:
  Constant Field Values

### NORTH_WEST

    public static final int NORTH_WEST

See Also:
  Constant Field Values

### Az

    protected float Az

### c

    protected float c

Constructor Detail

### PanEvent

    public PanEvent(java.lang.Object source,
                    int direction)

  Deprecated. use new panning semantics

  Create a PanEvent with source Object and direction.

  Parameters:
    `source` - Object
    `direction` - N, NE, E, SE, S, SW, W, NW

### PanEvent

    public PanEvent(java.lang.Object source,
                    int direction,
                    float amount)

  Deprecated. use new panning semantics

  Create a PanEvent with source Object and direction.

  Parameters:
    `source` - Object
    `direction` - N, NE, E, SE, S, SW, W, NW
    `amount` - 0.0 <= x <= 1.0

### PanEvent

    public PanEvent(java.lang.Object source,
                    float Az)

  Create a PanEvent.
  - `pan(-180)` pan south
  - `pan(-90)` pan west
  - `pan(0)` pan north
  - `pan(90)` pan east

  Parameters:
    `source` - Object
    `Az` - azimuth "east of north" in decimal degrees: `-180 <= Az <= 180`

### PanEvent

    public PanEvent(java.lang.Object source,
                    float Az,
                    float c)

  Create a PanEvent.
  - `pan(-180, c)` pan south `c' degrees
  - `pan(-90, c)` pan west `c' degrees
  - `pan(0, c)` pan north `c' degrees
  - `pan(90, c)` pan east `c' degrees

  Parameters:
    `source` - Object
    `Az` - azimuth "east of north" in decimal degrees: `-180 <= Az <= 180`
    `c` - arc distance in decimal degrees

Method Detail

### getAzimuth

    public float getAzimuth()

  Get azimuth of pan.

  Returns:
    float decimal degrees

### getArcDistance

    public float getArcDistance()

  Get arc distance of pan.

  Returns:
    float decimal degrees

### getDirection

    public int getDirection()

  Deprecated. use getAzimuth()

  Get the direction of pan.

  Returns:
    int direction

### getAmount

    public float getAmount()

  Deprecated. use getArcDistance()

  Get the amount of pan.

  Returns:
    float 0.0 <= amount <= 1.0

### toString

    public java.lang.String toString()

  Return stringified object.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details